Skip to content
WP Engine Documentation

Refresh Disk Usage for all installs associated with account

POST
/accounts/{account_id}/usage/refresh_disk_usage
curl --request POST \
--url https://api.wpengineapi.com/v1/accounts/example/usage/refresh_disk_usage \
--header 'Authorization: Basic <credentials>'

Triggers an asynchronous job to recalculate the disk usage of installs associated with a specific account.

This endpoint initiates the refresh process and returns immediately with a success status. It does not return the updated usage data.

To check the status of the job and view the new data once it’s available, you must poll the GET /accounts/{account_id}/usage endpoint. A successful request will populate the account_storage_refresh_expected_time attribute in that endpoint’s response, indicating when the data is expected to be fresh.

Multiple requests for the same environment will result in a single recalculation.

account_id
required
string format: uuid

The unique identifier (UUID) of the account.

OK. The disk usage refresh has been successfully initiated. The response body for this request is always null.

Media type application/json

Bad Request

Media type application/json

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not Authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not Found. The account with the specified UUID could not be found.

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal server error

Media type application/json

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json

An unexpected error occurred.

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}